For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
      • POSTCreate client sign off
      • GETGet additional information required to request employee termination
      • GETRetrieve Employee Time Off Data for Offboarding
      • GETRetrieve offboarding attachment
      • GETRetrieve Offboarding Request
      • GETRetrieve restricted offboarding dates
      • POSTSubmit employee resignation PTO review
      • POSTSubmit employee sign-off review for offboarding documents
  • EOR Worker Endpoints
LogoLogo
SupportDeel Home
EOR EndpointsEOR Offboarding

Retrieve restricted offboarding dates

GET
/eor/contracts/:contract_id/offboarding/restricted-dates
GET
/rest/v2/eor/contracts/:contract_id/offboarding/restricted-dates
$curl -G https://api.letsdeel.com/rest/v2/eor/contracts/abcd4fg/offboarding/restricted-dates \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d termination_type=TERMINATION
1{
2 "data": {
3 "restricted_dates": [
4 "2024-12-25T00:00:00.000Z",
5 "2024-12-26T00:00:00.000Z",
6 "2025-01-01T00:00:00.000Z",
7 "2025-04-18T00:00:00.000Z",
8 "2025-05-01T00:00:00.000Z",
9 "2025-07-04T00:00:00.000Z",
10 "2025-11-27T00:00:00.000Z",
11 "2025-11-28T00:00:00.000Z",
12 "2025-12-25T00:00:00.000Z"
13 ],
14 "earliest_available_end_date": "2024-12-30T00:00:00.000Z",
15 "is_out_work_scheduled_allowed": false,
16 "is_end_date_allowed_on_holidays": false
17 }
18}

Returns country-specific dates unavailable for offboarding end-date selection—including weekends and public holidays—along with the earliest available end date; optionally filtered by termination type. Token scopes: contracts:read

Was this page helpful?
Previous

Submit employee resignation PTO review

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Query parameters

termination_typeenumOptional
Type of offboarding.
Allowed values:

Response

Successful retrieval of restricted dates.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication